<head>
  <!-- Manda a traer el javascript para validar el formulario -->
   <script src="<?php echo base_url().'assets/dist/js/CifrasEnLetras.js'?>" type="text/javascript"></script>
   <script type="text/javascript" src="<?php echo base_url()?>assets/dist/js/site.js"></script>
   <link rel="stylesheet" href="<?php echo base_url().'assets/dist/css/validacion.css'?>">
   <link rel="stylesheet" href="<?php echo base_url().'assets/dist/css/styles.css'?>">
</head>
<div id="page-content-wrapper">
<!-- Keep all page content within the page-content inset div! -->
<div class="page-content inset">
<div class="row">
<div class="col-md-12">

<body>
    <div class='col-md-12 botones'>
        <button type="button" class="btn btn-danger boton"  id='imprime' data-toggle="tooltip" data-placement="bottom" title="Imprimir ticket"> <span class='glyphicon glyphicon-print'> </span> <span class="contraer"> Imprimir ticket </span></button> &nbsp
    </div>
</body>
</div>
</div>
</div>
</div>

<script>
  window.addEventListener( 'load', function( event )
  {//Inicia windows.load
    var botonImprimir=document.querySelector('#imprime');
    var botonDescargar=document.querySelector('#descarga');
    botonImprimir.addEventListener('click', function(e)
    {
      imprimir();
    });

  });//Fin load
  function imprimir()
  {
    var mostrarDireccion='<?php echo $datosFranquiciaTicket->MostrarDireccionFranquicia;?>';
    var fila =  '';
        fila += '<div class="logo-empresa">';
        fila += '<img src="<?php echo base_url().'assets/dist/img/logo.png'?>" alt="Italian Trulli">';
        fila += '</div>';
        fila += '<div class="datos">';
        fila += '<div class="nombre-empresa-ticket"><?php echo $datosFranquiciaTicket->NombreFranquicia?></div>';
        if ('<?php echo $datosFranquiciaTicket->IdFranquicias?>'!=16) { //Franquicia de Tampico
        fila += '<div class="razon-empresa-ticket">R.S:<?php echo $datosFranquiciaTicket->RazonSocial?></div>';
        }
         fila += '<div class="regimen-empresa-ticket"><?php echo $datosFranquiciaTicket->RegimenFiscal?></div>';
        fila += '<div class="rfc-empresa-ticket">RFC: <?php echo $datosFranquiciaTicket->RFC?></div>';
        fila += '<div class="domicilio-empresa-ticket"><?php echo $datosFranquiciaTicket->DomicilioFiscal;?>CP: <?php echo $datosFranquiciaTicket->CP;?></div>';
        if(mostrarDireccion==1){
          fila += '<div class="domicilio-empresa-ticket">SUCURSAL: <?php echo $datosFranquiciaTicket->DomicilioFranquicia;?></div>';
        }
        fila += '</div>';
        fila += '<div class="datos-dos">';     
        fila += '<div class="nombre-cliente-ticket">Folio:<?php echo $folioVenta?></div>';
        fila += '<div class="domicilio-empresa-ticket" ><br/></div>';  
        fila += '<div class="nombre-cliente-ticket">Fecha de pago:<?php echo $fecha?></div>';
        fila += '<div class="domicilio-empresa-ticket" ><br/></div>';
        fila += '<div class="nombre-cliente-ticket">Cliente: <?php echo $cliente?></div>';
        fila += '<div class="domicilio-empresa-ticket" ><br/></div>';
        fila += '</div>';
        fila += '<div class="lista-comprada">';

        fila += '<table class="table table-striped">';
        fila += '<thead>';
        fila += '<tr>';
        fila += '<th>Folio</th>';
        fila += '<th>Concepto</th>';        
        fila += '<th>Abonado</th>';
        fila += '</tr>';
        fila += '</thead>';        
        fila += '<tbody>';
        <?php 
        $suma=0;
        $efectivo=0;
        $tarjeta=0;
        for($i=0; $i<count($datosTicket); $i++)
         { 
        ?>
        fila += '<tr>';
        fila += '<td> <?php echo $datosTicket[$i]['folio']?> </td>';
        fila += '<td class="nombre-producto-ticket"> <?php echo $datosTicket[$i]['concepto']?> </td>';        
        fila += '<td class="aling-right">$ <?php echo $datosTicket[$i]['abonado']?> </td>';        
        fila += '</tr>';        
        <?php
          $suma=$suma+$datosTicket[$i]['abonado'];
          $efectivo=$efectivo+$datosTicket[$i]['efectivo'];
          $tarjeta=$tarjeta+$datosTicket[$i]['tarjeta'];
          }
        ?>
          fila += '<tr>';
          fila += '<td colspan="2" class="aling-right">Total:</td>';
          fila += '<td class="aling-right">$ <?php echo $suma?> </td>';        
          fila += '</tr>';
        fila += '</tbody>';
        fila += '</table>';
        // fila += '<tr><td>Pago en:</td><td></td><td></td></tr>';
        fila += '<table class="table table-striped">';
        // fila += '<thead><tr><th></th><th></th><th></th></tr></thead>';        
        fila += '<tbody>';
        <?php 
        if($efectivo>0 && $tarjeta>0)
        {?>
        fila += '<tr><td>Pago en:</td><td></td><td></td></tr>';
        // fila += '<tr><td>Efectivo:  <?php echo $efectivo?> </td>';
        // fila += '<tr><td colspan="3">Efectivo: <?php echo $efectivo ."&nbsp;&nbsp; Tarjeta:".$tarjeta?> </td></tr>';
        fila += '<tr><td >Efectivo: $<?php echo $efectivo?> </td>';
        fila += '<td>Tarjeta: $<?php echo $tarjeta?> </td><td></td></tr>';
        <?php 
        }elseif($efectivo>0)
        {?>
        fila += '<tr><td>Pago en:</td><td></td><td></td></tr>';
        fila += '<tr><td class="aling-right">Efectivo:</td><td class="aling-right"> $<?php echo $efectivo?> </td><td style="width:50%"></td></tr>';
        <?php 
        }elseif($tarjeta>0)
        {?>
        fila += '<tr><td>Pago en:</td><td></td><td></td>';
        fila += '<tr><td class="aling-right">Tarjeta:</td><td class="aling-right"> $<?php echo $tarjeta?> </td><td style="width:50%"></td></tr>';
        <?php 
        }
        ?>
        fila += '</tbody>';
        fila += '</table>';
        fila += '<div class="domicilio-empresa-ticket" ><br/></div>';
        fila += '<div class="atendio">Atendio: <?php echo $atendio?></div>';
        fila += '<div class="domicilio-empresa-ticket" ><br/></div>';
        var ventana = window.open();
        var contenido= fila;
        ventana.document.write('<html><head><title>Ticket de Pago_<?php echo $folioVenta?></title>');
        ventana.document.write('<link rel="stylesheet" href="<?php echo base_url().'assets/dist/css/styles.css'?>">'); //Aquí agregué la hoja de estilos
        ventana.document.write('<link rel="stylesheet" href="<?php echo base_url();?>assets/bootstrap/css/bootstrap.css">');
        ventana.document.write('<body>');
        ventana.document.write('<div class="ticket-1">');
        ventana.document.write(contenido);
          ventana.document.write('<div class="footer-ticket">Salud y Belleza con la mejor tecnología a tu alcance</div>');
        ventana.document.write('<div class="link-model">https://www.modelartspa.com</div>');
        ventana.document.write('<div class="agrdecimiento-model">¡GRACIAS POR SU VISITA!</div>');
         // if('<?php echo $datosFranquiciaTicket->IdFranquicias?>'==33) { //Franquicias Corporativo
         //        ventana.document.write('<div class="agrdecimiento-model">Comprobante emitido conforme a la Regla 2.7.1.24 de RMF y Para los efectos de los artículos 29 y 29-A, fracción IV, segundo párrafo del CFF y 39 del Reglamento del CFF</div>');
         //        }
        ventana.document.write('<div class="pertenece-a">Original</div>');
        ventana.document.write('<hr class="fin-ticket">');
        ventana.document.write('</div>');             
        ventana.document.write(contenido);
        ventana.document.write('<div class="footer-ticket">Salud y Belleza con la mejor tecnología a tu alcance</div>');
        ventana.document.write('<div class="link-model">https://www.modelartspa.com</div>');
        ventana.document.write('<div class="agrdecimiento-model">¡GRACIAS POR SU VISITA!</div>');
         // if('<?php echo $datosFranquiciaTicket->IdFranquicias?>'==33) { //Franquicias Corporativo
         //        ventana.document.write('<div class="agrdecimiento-model">Comprobante emitido conforme a la Regla 2.7.1.24 de RMF y Para los efectos de los artículos 29 y 29-A, fracción IV, segundo párrafo del CFF y 39 del Reglamento del CFF</div>');
         //        }
        ventana.document.write('<div class="pertenece-a">Copia para el cliente</div>');
        ventana.document.write('<hr class="fin-ticket">');
        ventana.document.write('</div>');      
        ventana.document.write('</body></html>');
        ventana.document.close();

        ventana.focus();

        ventana.onload = function() {
          ventana.print();

          ventana.close();

          setTimeout(function () { window.print(); }, 500);
        
          ventana.onafterprint = function(){
            console.log("Printing completed...");
            location.href ="<?php echo base_url();?>pagos/cosmetologo/PagosC/VentasAdeudos";
            
          
            }

                  (function() {

              var beforePrint = function() {
                  console.log('Functionality to run before printing.');
              };

              var afterPrint = function() {
                  console.log('Functionality to run after printing');
              };

              if (window.matchMedia) {
                  var mediaQueryList = window.matchMedia('print');
                  mediaQueryList.addListener(function(mql) {
                      if (mql.matches) {
                          beforePrint();
                      } else {
                          afterPrint();
                      }
                  });
              }

      window.onbeforeprint = beforePrint;
      window.onafterprint = afterPrint;

        }());
        }
  }
</script>